package cn.com.poc.agent_application.convert;

import cn.com.poc.agent_application.model.BizAgentApplicationDialoguesRecordModel;
import cn.com.poc.agent_application.entity.BizAgentApplicationDialoguesRecordEntity;
import cn.com.poc.agent_application.dto.BizAgentApplicationDialoguesRecordDto;


public class BizAgentApplicationDialoguesRecordConvert {

    public static BizAgentApplicationDialoguesRecordEntity modelToEntity(BizAgentApplicationDialoguesRecordModel model) {
        BizAgentApplicationDialoguesRecordEntity entity = new BizAgentApplicationDialoguesRecordEntity();
        entity.setId(model.getId());
        entity.setRole(model.getRole());
        entity.setAgentId(model.getAgentId());
        entity.setMemberId(model.getMemberId());
        entity.setContent(model.getContent());
        entity.setReasoningContent(model.getReasoningContent());
        entity.setImageUrl(model.getImageUrl());
        entity.setFileUrl(model.getFileUrl());
        entity.setDialogsId(model.getDialogsId());
        entity.setTimestamp(model.getTimestamp());
        entity.setIsDeleted(model.getIsDeleted());
        entity.setCreator(model.getCreator());
        entity.setCreatedTime(model.getCreatedTime());
        entity.setModifier(model.getModifier());
        entity.setModifiedTime(model.getModifiedTime());
        entity.setSysVersion(model.getSysVersion());
        return entity;
    }

    public static BizAgentApplicationDialoguesRecordModel entityToModel(BizAgentApplicationDialoguesRecordEntity entity) {
        BizAgentApplicationDialoguesRecordModel model = new BizAgentApplicationDialoguesRecordModel();
        model.setId(entity.getId());
        model.setRole(entity.getRole());
        model.setAgentId(entity.getAgentId());
        model.setMemberId(entity.getMemberId());
        model.setDialogsId(entity.getDialogsId());
        model.setContent(entity.getContent());
        model.setReasoningContent(entity.getReasoningContent());
        model.setImageUrl(entity.getImageUrl());
        model.setFileUrl(entity.getFileUrl());
        model.setTimestamp(entity.getTimestamp());
        model.setIsDeleted(entity.getIsDeleted());
        model.setCreator(entity.getCreator());
        model.setCreatedTime(entity.getCreatedTime());
        model.setModifier(entity.getModifier());
        model.setModifiedTime(entity.getModifiedTime());
        model.setSysVersion(entity.getSysVersion());
        return model;
    }

    public static BizAgentApplicationDialoguesRecordDto entityToDto(BizAgentApplicationDialoguesRecordEntity entity) {
        BizAgentApplicationDialoguesRecordDto dto = new BizAgentApplicationDialoguesRecordDto();
        dto.setId(entity.getId());
        dto.setRole(entity.getRole());
        dto.setDialogsId(entity.getDialogsId());
        dto.setAgentId(entity.getAgentId());
        dto.setMemberId(entity.getMemberId());
        dto.setContent(entity.getContent());
        dto.setReasoningContent(entity.getReasoningContent());
        dto.setImageUrl(entity.getImageUrl());
        dto.setFileUrl(entity.getFileUrl());
        dto.setTimestamp(entity.getTimestamp());
        dto.setIsDeleted(entity.getIsDeleted());
        dto.setCreator(entity.getCreator());
        dto.setCreatedTime(entity.getCreatedTime());
        dto.setModifier(entity.getModifier());
        dto.setModifiedTime(entity.getModifiedTime());
        dto.setSysVersion(entity.getSysVersion());
        return dto;
    }

    public static BizAgentApplicationDialoguesRecordEntity dtoToEntity(BizAgentApplicationDialoguesRecordDto dto) {
        BizAgentApplicationDialoguesRecordEntity entity = new BizAgentApplicationDialoguesRecordEntity();
        entity.setId(dto.getId());
        entity.setRole(dto.getRole());
        entity.setAgentId(dto.getAgentId());
        entity.setDialogsId(dto.getDialogsId());
        entity.setMemberId(dto.getMemberId());
        entity.setContent(dto.getContent());
        entity.setReasoningContent(dto.getReasoningContent());
        entity.setImageUrl(dto.getImageUrl());
        entity.setFileUrl(dto.getFileUrl());
        entity.setTimestamp(dto.getTimestamp());
        entity.setIsDeleted(dto.getIsDeleted());
        entity.setCreator(dto.getCreator());
        entity.setCreatedTime(dto.getCreatedTime());
        entity.setModifier(dto.getModifier());
        entity.setModifiedTime(dto.getModifiedTime());
        entity.setSysVersion(dto.getSysVersion());
        return entity;
    }
}